> For the complete documentation index, see [llms.txt](https://docs.adsecure.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.adsecure.com/docs/guides/rtb-analysis.md).

# RTB Analysis

In this guide we're going to see how you can create a Real Time Bidding [analysis](/docs/development/concepts.md#analysis).

RTB analysis allows to detect and scan ads inside Real Time Bidding URL's.

## Prerequisites

Since RTB analyses are done programatically (via API) you will need to configure your environment to use the AdSecure API.

Here you can find the [API quickstart guide](/docs/development/quickstart.md) and the [first analysis guide](/docs/guides/first-analysis.md), both are necessary in order to proceed successfully.

### Create a RTB analysis

RTB analysis are regular analysis, the difference being that they will scan the AD inside the RTB URL instead of the URL itself.

Like in the [first analysis guide](/docs/guides/first-analysis.md), you will send a graphql query in order to create this analysis type, just make sure your input contains the `supportingFormat` parameter set to **RTB** like in the query below:

**Query**

```bash
mutation {
  createAnalysis(input: {
    name: "RTB Test Analysis",
    content: "<INSERT RTB URL HERE>",
    supportingFormat: "RTB"
  }) {
    id
    report {
      url
    }
    name
  }
}
```

**Response**

```json
{
  "data": {
    "createAnalysis": {
      "id": "<REPORT ID>",
      "report": {
        "url": "https://<REPORT-URL>/.../<REPORT ID>.json"
      },
      "name": "RTB Test Analysis"
    }
  }
}
```

Once the analysis is finished, you can follow the [understanding analysis results guide](/docs/guides/understanding-analysis-results.md) to check the resulting report.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.adsecure.com/docs/guides/rtb-analysis.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
